Package com.mockobjects.servlet

# Class MockServletConfig

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.servlet.MockServletConfig

All Implemented Interfaces:
  `Verifiable`

public class MockServletConfig extends MockObject

Version:
  $Revision: 1.1 $

## Constructor Summary

Constructors
Constructor
Description
`MockServletConfig()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getInitParameter(String paramName)`
`Enumeration`
`getInitParameterNames()`
`ServletContext`
`getServletContext()`
`String`
`getServletName()`
`void`
`setInitParameter(String paramName, String paramValue)`
`void`
`setServletContext(ServletContext servletContext)`
`void`
`setupAddInitParameter(String paramName, String value)`
`void`
`setupNoParameters()`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockServletConfig

public MockServletConfig()

## Method Details

### getInitParameter

public String getInitParameter(String paramName)

### setInitParameter

public void setInitParameter(String paramName, String paramValue)

### getInitParameterNames

public Enumeration getInitParameterNames()

### setupAddInitParameter

public void setupAddInitParameter(String paramName, String value)

### setupNoParameters

public void setupNoParameters()

### setServletContext

public void setServletContext(ServletContext servletContext)

### getServletContext

public ServletContext getServletContext()

### getServletName

public String getServletName()